IPSW-DOWNLOAD-KEYS(1)

NAME
ipsw-download-keys - Download FW keys from The iPhone Wiki

SYNOPSIS
ipsw download keys [flags]

DESCRIPTION
Download FW keys from The iPhone Wiki

OPTIONS
-b, --build=""
    iOS BuildID (i.e. 16F203)

-d, --device=""
    iOS Device (i.e. iPhone11,2)

-h, --help[=false]
    help for keys

--insecure[=false]
    do not verify ssl certs

--json[=false]
    Output as JSON

-o, --output=""
    Folder to download keys to

--proxy=""
    HTTP/HTTPS proxy

-v, --version=""
    iOS Version (i.e. 12.3.1)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Download firmware keys for specific device/version
    ❯ ipsw download keys --device iPhone14,2 --version 17.0
    # Download keys for specific build
    ❯ ipsw download keys --device iPhone14,2 --build 21A329
    # Save keys as JSON file
    ❯ ipsw download keys --device iPhone14,2 --build 21A329 --output ./keys
    # Output keys as JSON to stdout
    ❯ ipsw download keys --device iPhone14,2 --build 21A329 --json

SEE ALSO
ipsw-download(1)

HISTORY
14-Sep-2025 Auto generated by spf13/cobra